FLANG

Public Member Functions | Static Public Member Functions | List of all members
fir::LogicalType Class Reference

`#include <flang/Optimizer/Dialect/FIRType.h>`

Inheritance diagram for fir::LogicalType:

## Public Member Functions
KindTy | getFKind () const

## Static Public Member Functions
static LogicalType | get (mlir::MLIRContext *ctxt, KindTy kind)
Static Public Member Functions inherited from fir::IntrinsicTypeMixin< LogicalType, TypeKind::FIR_LOGICAL >
static constexpr bool | kindof (unsigned kind)
static constexpr unsigned | getId ()

## Detailed Description

Model of a Fortran LOGICAL intrinsic type, including the KIND type parameter.

The documentation for this class was generated from the following files:

- include/flang/Optimizer/Dialect/FIRType.h
- lib/Optimizer/Dialect/FIRType.cpp